%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	timeconditions

Name:		freepbx-%{rawname}
Version:	17.0.1.18
Release:	1%{?dist}
Summary:	Time Conditions

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz
Patch0:		freepbx-timecondition_17.0.1.18_nochown.patch

Requires:	freepbx-cel >= 13.0.18
Requires:	freepbx-calendar >= 14.0.1alpha6

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
Creates a condition where calls will go to one of two destinations (eg, an extension, IVR, ring group..) based on the time and/or date. This can be used for example to ring a receptionist during the day, or go directly to an IVR at night.

%prep
%setup -q -n %{rawname}
%patch0 -p1

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin sbin etc astetc sounds moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

# it's the mod' developer sake, if he is using a deprecated function. I regret it, but I see no reason to pollute the logs in normal working environment.
#perl -pi -e '/Depreciated Function .* detected in .* on line / and s/FPBX_LOG_WARNING/LOG_DEBUG/' functions.inc.php
sed -i '/Depreciated Function .* detected in .* on line /s/\(FPBX_LOG_WARNING\|LOG_WARNING\|WARNING\)/LOG_DEBUG/' functions.inc.php

%install
%{__install} -d %{buildroot}%{_datadir}/asterisk/bin
%{__install} -m0755 bin/* %{buildroot}%{_datadir}/asterisk/bin

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/images
%{__install} -m0644 images/* %{buildroot}%{_datadir}/freepbx/admin/images

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%attr(0755,%{sown},%{sgrp}) %{_datadir}/asterisk/bin/*
%attr(0644,%{sown},%{sgrp}) %{_datadir}/freepbx/admin/images/*

%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}

%changelog
* Mon Dec 02 2024 Luigi Iotti <asterisk@iotti.biz> - 17.0.1.18
- Updated version

* Tue Aug 08 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.11
- Updated version

* Wed Feb 15 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.10
- Updated version

* Thu Sep 08 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.9
- Updated version

* Wed Jan 19 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.8
- Initial build
